[SciPy-user] Problems installing scipy in SuSE 10.2

David Cournapeau david@ar.media.kyoto-u.ac...
Wed Jun 13 21:20:55 CDT 2007

Christian K wrote:
> gfortran 4.0.xxx had some real problems, see this thread:
> http://thread.gmane.org/gmane.comp.python.scientific.user/6889
> starting from 4.1 I did not encounter any problems. However I remember having
> read somewhere, that it is not recommended to build atlas with gfortran.
Disclaimer: I am not a fortran developer, I know nothing about fortran, 
only about packaging software compiled with fortran compiler and related 

For atlas, it is hardly a problem I think, because atlas is a C library. 
There is an option to compiler a fortran wrapper, but that's it. The 
problem is more with blas and lapack (which tests are failing with 
gfortran but not with g77. Note that for Lapack, a number of tests fail 
with both compilers).
> Isn't gfortran the default on edgy and feisty gfortran? At least that is the one
> that is installed on my system.
By default, I meant from an ABI point of view: see for example the 
following link: http://gcc.gnu.org/ml/fortran/2007-01/msg00611.html. 
Calling convention default are different in g77 and gfortran, and as 
such, if you don't use the default ABI, you become incompatible with 
everything else.


More information about the SciPy-user mailing list